import { defineComponent, onMounted, ref } from 'vue'

import { CMyPage } from '@src/components/CMyPage'
import { CGridTableRec } from '@src/components/CGridTableRec'
import { tools } from '@tools'
import { static_data } from '@src/db/static_data'

import { fieldsTable } from '@src/store/Modules/fieldsTable'
import { shared_consts } from '@src/common/shared_vuejs'

export default defineComponent({
  name: 'movsList',
  // @ts-ignore
  components: { CGridTableRec, CMyPage },
  setup() {

    const arrfilterand: any = ref([])

    async function mounted() {
      if (tools.appid() === tools.IDAPP_RISO) {
        arrfilterand.value = [
        ]
      }

      await tools.loadAccounts()

    }

    onMounted(mounted)

    return {
      arrfilterand,
      fieldsTable,
    }
  }
})


